extends Area2D

@export var animation: AnimationPlayer = null


func _ready() -> void:
	animation.play("RESET")
	area_entered.connect(_on_area_entered)
	area_exited.connect(_on_area_exited)


func _on_area_entered(_area: Area2D) -> void:
	animation.play("blink")


func _on_area_exited(_area: Area2D) -> void:
	animation.play("RESET")
